# copyright= Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_slice
        IS_WIN = (Sketchup.platform == :platform_win)
		IS_OSX = (Sketchup.platform == :platform_osx)
		# if WAREHOUSE
			# ext_lic = Sketchup::Licensing.get_extension_license("82697d52-33df-4bd8-a1a4-0dbab615cdf9")
		# elsif (!defined?(S4U::S4u_license)) || (defined?(S4U::S4u_license) && !S4U::S4u_license.frozen?)
			# s4u_lib=File.join(File.dirname(__FILE__),"s4u_lib")
			# Sketchup::require File.join(NAME,"s4u_lib") if File.exist?(s4u_lib)
		# end
		Sketchup::require File.join(NAME,(NAME + "_code"))
		if !self.const_defined?("Dir_s4u_name")
			S4U.instance_variable_set(:@s4u_menu,UI.menu("Plugins").add_submenu("Suforyou")) if !S4U.instance_variable_defined?(:@s4u_menu)
			menu=S4U.instance_variable_get :@s4u_menu
			submenu=menu.add_submenu(TOOL)
			@toolbar = UI::Toolbar.new("s4u-"+TOOL)
			names=[ [Strings["Slice"],"s4u_slice",Strings["Select objects and plane for Slice"]+'.'],
					[Strings["Cut"],"s4u_cut",Strings["Select objects and plane for Cut"]+'.'],
					[Strings["Detach"],"s4u_detach",Strings["Select objects and plane for Detach"]+'.'],
					[Strings["Creat Group Section"],"s4u_section",Strings["Select objects and plane for Create Group Section"]+'.'],
					[Strings["Last tool"],"s4u_slice",Strings["Repeat last tool"]+'.']
			]
			if IS_OSX
				names.each{|n| n[1]+=".pdf"}
			else
				names.each{|n| n[1]+=".svg"}
			end
			items=[]
			(0..names.length-1).each{|i|
				cmd=UI::Command.new(names[i][0]){ S4U::S4u_slice.main(i) }
				cmd.large_icon = names[i][1]
				cmd.small_icon = names[i][1]
				cmd.status_bar_text = names[i][2]
				cmd.tooltip= names[i][0]
				cmd.menu_text = names[i][0]
				@toolbar=@toolbar.add_item cmd if i<(names.length-1)
				items<< submenu.add_item(cmd)
			}
			@toolbar.show if @toolbar.get_last_state.abs == 1
			Dir_s4u_name = File.join(File.dirname(@ext.extension_path),NAME)
		end
	end
end